Package org.eclipse.emf.cdo.spi.server

## Class PluginRepositoryProvider

- java.lang.Object
- - org.eclipse.emf.cdo.spi.server.ContainerRepositoryProvider
  - - org.eclipse.emf.cdo.spi.server.PluginRepositoryProvider

- All Implemented Interfaces:
    `IRepositoryProvider`, `org.eclipse.net4j.util.container.IManagedContainerProvider`

      public final class PluginRepositoryProvider
      extends ContainerRepositoryProvider

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static PluginRepositoryProvider` | `INSTANCE` |

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.emf.cdo.spi.server.ContainerRepositoryProvider

      `getContainer, getRepository`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final PluginRepositoryProvider INSTANCE